org.apache.cassandra.index.sasi.memory

## Class IndexMemtable

- java.lang.Object
- - org.apache.cassandra.index.sasi.memory.IndexMemtable

    public class IndexMemtable
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`IndexMemtable(ColumnIndex columnIndex)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `index(DecoratedKey key, java.nio.ByteBuffer value)`
`RangeIterator<java.lang.Long,Token>` `search(Expression expression)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexMemtable

    public IndexMemtable(ColumnIndex columnIndex)

### Method Detail

#### index

    public long index(DecoratedKey key,
                      java.nio.ByteBuffer value)

#### search

    public RangeIterator<java.lang.Long,Token> search(Expression expression)